#!/bin/sh

if [ "X$1" = '-h' -o "X$1" = 'X--help' ]; then
  echo 'Usage: control.sh [PV_PREFIX DEVICE_1 DEVICE_2 DEVICE_3]'
  echo 'Parameters:'
  echo '  PV_PREFIX  PV name prefix (default: "sim17bm:")'
  echo '  DEVICE_1   Name of AMI 186 device 1 (default: "ami186_1")'
  echo '  DEVICE_2   Name of AMI 186 device 2 (default: "ami186_2")'
  echo '  DEVICE_3   Name of AMI 186 device 3 (default: "ami186_3")'
  echo 'Example: control.sh'
  echo 'Example: control.sh sim17bm: ami186_1 ami186_2 ami186_3'
  exit 0
fi

pvPrefix=sim17bm:
if [ "X$1" != 'X' ]; then pvPrefix="$1"; fi
deviceName1=ami186_1
if [ "X$2" != 'X' ]; then deviceName1="$2"; fi
deviceName2=ami186_2
if [ "X$3" != 'X' ]; then deviceName2="$3"; fi
deviceName3=ami186_3
if [ "X$4" != 'X' ]; then deviceName3="$4"; fi

THIS_SCRIPT_HOME=`dirname "$0"`
cd "$THIS_SCRIPT_HOME"
if [ $? -ne 0 ]; then
  echo "Failed to cd to \"$THIS_SCRIPT_HOME\"." 1>&2
  exit 1
fi
THIS_SCRIPT_HOME=`pwd`
if [ $? -ne 0 ]; then
  echo 'Failed to get current working directory.' 1>&2
  exit 1
fi

cd "../src"
if [ $? -ne 0 ]; then
  echo "Failed to cd to \"$THIS_SCRIPT_HOME/../src\"." 1>&2
  exit 1
fi

exec medm -x \
  -macro \
    "P=${pvPrefix},D1=${deviceName1},D2=${deviceName2},D3=${deviceName3}" \
  ./robot-dewars.adl
